tigase.conf

## Enum ConfigReader.State

- java.lang.Object
- - java.lang.Enum<ConfigReader.State>
  - - tigase.conf.ConfigReader.State

- All Implemented Interfaces:
    Serializable, Comparable<ConfigReader.State>
  Enclosing class:
    ConfigReader

      public static enum ConfigReader.State
      extends Enum<ConfigReader.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEAN`
    `COMMENT`
    `ENVIRONMENT`
    `LIST`
    `MAP`
    `PROPERTY`
    `QUOTE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigReader.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigReader.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAP

          public static final ConfigReader.State MAP

    - #### QUOTE

          public static final ConfigReader.State QUOTE

    - #### LIST

          public static final ConfigReader.State LIST

    - #### COMMENT

          public static final ConfigReader.State COMMENT

    - #### BEAN

          public static final ConfigReader.State BEAN

    - #### ENVIRONMENT

          public static final ConfigReader.State ENVIRONMENT

    - #### PROPERTY

          public static final ConfigReader.State PROPERTY

  - ### Method Detail

    - #### values

          public static ConfigReader.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigReader.State c : ConfigReader.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigReader.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.